package model;

class FibonacciGenerator {
    int fib(int i) throws IllegalArgumentException{
        if (i < 0) throw new IllegalArgumentException();
        if (i < 2) return i;
        int prev = 0;
        int curr = 1;
        int result = 0;
        for (int j = 2; j <= i; j++){
            result = prev + curr;
            prev = curr;
            curr = result;
        }
        return result;
    }
}
